Skip to main content
Alert endpoints are HTTP destinations that Charley POSTs to when a security event occurs. See Webhooks for the full integration guide.

List Alert Endpoints

GET /api/org-alert-endpoints

Response

[
  {
    "id": "ep_01hx...",
    "url": "https://hooks.example.com/charley",
    "description": "PagerDuty integration",
    "created_at": "2025-10-01T00:00:00Z"
  }
]

Create an Alert Endpoint

POST /api/org-alert-endpoints

Request Body

{
  "url": "https://hooks.example.com/charley",
  "description": "PagerDuty integration"
}
FieldTypeRequiredDescription
urlstringYesHTTPS URL to send alerts to
descriptionstringNoHuman-readable label

Response

201 Created
{
  "id": "ep_01hx...",
  "url": "https://hooks.example.com/charley",
  "description": "PagerDuty integration",
  "created_at": "2025-10-14T18:00:00Z"
}

Delete an Alert Endpoint

DELETE /api/org-alert-endpoints/:id

Response

204 No Content

Errors

CodeDescription
403Caller does not have ORG_ADMIN role
404Endpoint not found or belongs to a different org